package com.zanxiang.game.platform.serve.controller;

import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬接口
 */
@Api(tags = {"通用分组"})
@Slf4j
@RestController
@RequestMapping("/deYang/game")
public class PlatformDeYangController {

    @ApiOperation(value = "用户信息同步接口")
    @GetMapping("/user")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> syncUserInfo() {
        return ResultVO.ok(Boolean.FALSE);
    }

    @ApiOperation(value = "订单信息同步接口")
    @GetMapping("/order")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = Boolean.class)})
    public ResultVO<Boolean> syncOrderInfo() {
        return ResultVO.ok(Boolean.FALSE);
    }
}
