package com.zanxiang.game.platform.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-05-22
 * @description : 德扬用户
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_platform_deyang_user")
public class PlatformDeYangUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value = "user_id", type = IdType.INPUT)
    private String userId;

    /**
     * openId
     */
    private String openId;

    /**
     * 注册IP
     */
    private String registerIp;

    /**
     * 注册UA
     */
    private String registerUa;

    /**
     * 注册时间
     */
    private LocalDateTime registerTime;

    /**
     * 最后登录时间
     */
    private LocalDateTime lastLoginTime;

    /**
     * 支付金额(单位:分)
     */
    private Long payAmount;

    /**
     * 手机号
     */
    private Long phoneNumber;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏角色
     */
    private String gameRole;

    /**
     * 游戏等级
     */
    private String gameLevel;

    /**
     * 游戏付费金额(单位:分)
     */
    private Long gamePayAmount;

    /**
     * 实名信息
     */
    private String realNameAuth;

    /**
     * 公众号appId
     */
    private String mpAppId;

    /**
     * 公众号名称
     */
    private String mpAppName;

    /**
     * 渠道id
     */
    private String channelId;

    /**
     * 趣程标识
     */
    private String quChengSign;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}